| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
StdoutConsumer Class Reference

`#include <StdoutConsumer.hpp>`

Inheritance diagram for StdoutConsumer:
[legend]

## Public Member Functions

virtual | ~StdoutConsumer ()=default
Public Member Functions inherited from OStreamConsumer
virtual | ~OStreamConsumer ()=default
FASTDDS_EXPORTED_API void | Consume (const Log::Entry &entry) override
Public Member Functions inherited from LogConsumer
virtual | ~LogConsumer ()=default

## Additional Inherited Members

Protected Member Functions inherited from LogConsumer
FASTDDS_EXPORTED_API void | print_timestamp (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_header (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_context (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_message (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_new_line (std::ostream &stream, bool color) const

## Constructor & Destructor Documentation

## ◆ ~StdoutConsumer()

virtual ~StdoutConsumer | ( |  | ) |

virtual default

The documentation for this class was generated from the following file:

- include/fastdds/dds/log/StdoutConsumer.hpp